<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net7.0</TargetFramework>
    <Nullable>enable</Nullable>
    <BuiltInComInteropSupport>true</BuiltInComInteropSupport>
    <ApplicationManifest>app.manifest</ApplicationManifest>
    <AvaloniaUseCompiledBindingsByDefault>true</AvaloniaUseCompiledBindingsByDefault>
  </PropertyGroup>

  <ItemGroup>
    <AvaloniaResource Include="Assets\**" />
  </ItemGroup>

  <ItemGroup>
    <AvaloniaResource Remove="Assets\Pictures\pic.png" />
    <AvaloniaResource Remove="Assets\Pictures\Болгарское наследие.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Волшебный Восток.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Город с большими амбициями.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Город четырех ворот.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Древний Минск.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Жемчужина Татарстана.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Знакомьтесь, Амстердам!.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Из Алании к загадочным пещерам Алтынбешик.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Многоликий Сувон.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Москва поэтическая.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Незабываемый Дели.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\По старому Таллину.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Романтика белых ночей и разводных мостов.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Свидание с Хельсинки.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Сердце Ирана.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Сердце Северной Карелии.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Старый город.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Столица страны Утренней Свежести.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Страна идеальной гармонии.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Урбанистическая Бразилия.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Финская крепость.jpg" />
    <AvaloniaResource Remove="Assets\Pictures\Финский романтизм.jpg" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="Assets\logo.jpeg" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="Assets\Pictures\pic.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Болгарское наследие.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Волшебный Восток.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Город с большими амбициями.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Город четырех ворот.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Древний Минск.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Жемчужина Татарстана.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Знакомьтесь, Амстердам!.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Из Алании к загадочным пещерам Алтынбешик.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Многоликий Сувон.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Москва поэтическая.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Незабываемый Дели.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\По старому Таллину.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Романтика белых ночей и разводных мостов.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Свидание с Хельсинки.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Сердце Ирана.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Сердце Северной Карелии.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Старый город.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Столица страны Утренней Свежести.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Страна идеальной гармонии.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Урбанистическая Бразилия.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Финская крепость.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Assets\Pictures\Финский романтизм.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>


  <ItemGroup>
    <PackageReference Include="Avalonia" Version="11.0.10" />
    <PackageReference Include="Avalonia.Desktop" Version="11.0.10" />
    <PackageReference Include="Avalonia.Themes.Fluent" Version="11.0.10" />
    <PackageReference Include="Avalonia.Fonts.Inter" Version="11.0.10" />
    <!--Condition below is needed to remove Avalonia.Diagnostics package from build output in Release configuration.-->
    <PackageReference Condition="'$(Configuration)' == 'Debug'" Include="Avalonia.Diagnostics" Version="11.0.10" />
    <PackageReference Include="Avalonia.ReactiveUI" Version="11.0.10" />
    <PackageReference Include="MessageBox.Avalonia" Version="3.1.5.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="7.0.14">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="7.0.11" />
  </ItemGroup>
</Project>
